> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get schedule



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/schedule/{project_id}/{region_id}/{schedule_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/schedule/{project_id}/{region_id}/{schedule_id}:
    get:
      tags:
        - Snapshot Schedules
      summary: Get schedule
      operationId: SnapshotScheduleViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: schedule_id
          required: true
          description: Schedule ID
          schema:
            description: Schedule ID
            example: 1488e2ce-f906-47fb-ba32-c25a3f63df4f
            examples:
              - 1488e2ce-f906-47fb-ba32-c25a3f63df4f
            title: Schedule Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleSerializer'
components:
  schemas:
    ScheduleSerializer:
      discriminator:
        mapping:
          cron:
            $ref: '#/components/schemas/GetCronScheduleSerializer'
          interval:
            $ref: '#/components/schemas/GetIntervalScheduleSerializer'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/GetCronScheduleSerializer'
        - $ref: '#/components/schemas/GetIntervalScheduleSerializer'
      title: ScheduleSerializer
    GetCronScheduleSerializer:
      properties:
        day:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Day of the month (1-31, '*') or a comma-separated list of days
          examples:
            - '5'
          title: Day
        day_of_week:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Weekday or a comma-separated list of weekdays
            (mon,tue,wed,thu,fri,sat,sun,*)
          examples:
            - mon,fri
          title: Day Of Week
        hour:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Hour (0-23, '*') or a comma-separated list of hours
          examples:
            - 0, 20
          title: Hour
        id:
          description: Schedule ID
          example: 1488e2ce-f906-47fb-ba32-c25a3f63df4f
          examples:
            - 1488e2ce-f906-47fb-ba32-c25a3f63df4f
          title: Id
          type: string
        max_quantity:
          description: Number of stored resources.
          example: 2
          examples:
            - 2
          exclusiveMinimum: 0
          maximum: 10000
          title: Max Quantity
          type: integer
        minute:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Minute (0-59, '*') or a comma-separated list of minutes
          examples:
            - '30'
          title: Minute
        month:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Month (1-12, '*') or a comma-separated list of months
          examples:
            - 1,6
          title: Month
        owner:
          description: Schedule owner
          example: lifecycle_policy
          examples:
            - lifecycle_policy
          title: Owner
          type: string
        owner_id:
          description: Owner ID
          example: 1
          examples:
            - 1
          title: Owner Id
          type: integer
        resource_name_template:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Template for resource names
          examples:
            - reserve snap of the volume {volume_id}
          title: Resource Name Template
        retention_time:
          anyOf:
            - $ref: '#/components/schemas/RetentionTimeSerializer'
            - type: 'null'
          description: Time after which the resource will be deleted
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: A pytz timezone. Defaults to UTC.
          examples:
            - UTC
          title: Timezone
        type:
          const: cron
          description: Schedule type
          example: cron
          examples:
            - cron
          title: Type
          type: string
        user_id:
          description: User ID
          example: 12
          examples:
            - 12
          title: User Id
          type: integer
        week:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: ISO week (1-53, '*') or a comma-separated list of weeks
          examples:
            - '1'
          title: Week
      required:
        - id
        - owner
        - owner_id
        - user_id
        - max_quantity
        - retention_time
        - type
      title: GetCronScheduleSerializer
      type: object
    GetIntervalScheduleSerializer:
      properties:
        days:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of days to wait
          examples:
            - 0
          title: Days
        hours:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of hours to wait
          examples:
            - 2
          title: Hours
        id:
          description: Schedule ID
          example: 1488e2ce-f906-47fb-ba32-c25a3f63df4f
          examples:
            - 1488e2ce-f906-47fb-ba32-c25a3f63df4f
          title: Id
          type: string
        max_quantity:
          description: Number of stored resources.
          example: 2
          examples:
            - 2
          exclusiveMinimum: 0
          maximum: 10000
          title: Max Quantity
          type: integer
        minutes:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of minutes to wait
          examples:
            - 1
          title: Minutes
        owner:
          description: Schedule owner
          example: lifecycle_policy
          examples:
            - lifecycle_policy
          title: Owner
          type: string
        owner_id:
          description: Owner ID
          example: 1
          examples:
            - 1
          title: Owner Id
          type: integer
        resource_name_template:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Template for resource names
          examples:
            - reserve snap of the volume {volume_id}
          title: Resource Name Template
        retention_time:
          anyOf:
            - $ref: '#/components/schemas/RetentionTimeSerializer'
            - type: 'null'
          description: Time after which the resource will be deleted
        type:
          const: interval
          description: Schedule type
          example: interval
          examples:
            - interval
          title: Type
          type: string
        user_id:
          description: User ID
          example: 12
          examples:
            - 12
          title: User Id
          type: integer
        weeks:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of weeks to wait
          examples:
            - 0
          title: Weeks
      required:
        - id
        - owner
        - owner_id
        - user_id
        - max_quantity
        - retention_time
        - type
      title: GetIntervalScheduleSerializer
      type: object
    RetentionTimeSerializer:
      properties:
        days:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of days to wait
          examples:
            - 0
          title: Days
        hours:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of hours to wait
          examples:
            - 2
          title: Hours
        minutes:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of minutes to wait
          examples:
            - 1
          title: Minutes
        weeks:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of weeks to wait
          examples:
            - 0
          title: Weeks
      title: RetentionTimeSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````